API ReferenceConnected accounts

Get user mapping

Get the default user mapping between a provider and an external user on a connected account.

Returns a 404 when the connected account does not exist, is not accessible to the current actor, or is not a conferencing connected account; when the provider does not exist or has been deactivated; or when no mapping exists for the provider on this connected account.

GET
/v1/connected_accounts/{connected_account_id}/user_mappings/{provider_id}

Authorization

authorization
AuthorizationBearer <token>

In: header

Path Parameters

connected_account_id*string

The connected account's unique identifier

Match^cact_\w{12}$
provider_id*string

The provider's unique identifier

Match^prov_\w{12}$

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/connected_accounts/cact_abcdef123456/user_mappings/prov_abcdef123456"
{  "data": {    "external_user": {      "email": "dr.smith@example.com",      "first_name": "Jane",      "id": "exusr_d025a96ac0c6",      "last_name": "Smith",      "object": "external_user",      "status": "active"    },    "object": "user_mapping",    "provider": {      "created_at": "2017-09-12T12:34:55Z",      "display_name": "John Smith",      "email": "john@example.com",      "first_name": "John",      "id": "prov_d025a96ac0c6",      "last_name": "Smith",      "metadata": {        "external_id": "123"      },      "object": "provider",      "time_zone": "America/New_York",      "updated_at": "2017-09-13T10:11:12Z"    },    "source": "manual"  }}